=== debian/changelog ===
biometryd (0.3.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove obsolete Build-Depends: libboost-system-dev (Closes: #1127176)
  * Update minimum dbus-cpp & process-cpp
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Feb 2026 11:09:13 -0500
