## biometryd 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,24 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.25)
 
-project(biometryd)
-
-set(PROJECT_VERSION 0.3.3)
+project(biometryd
+    VERSION 0.4.0
+    LANGUAGES CXX)
 
 set(BIOMETRYD_VERSION_MAJOR 1)
 set(BIOMETRYD_VERSION_MINOR 0)
 set(BIOMETRYD_VERSION_PATCH 1)
 
 option(ENABLE_WERROR "Treat all build warnings as errors" ON)
+option(ENABLE_QT6 "Enable Qt6 build" OFF)
+set(CMAKE_CXX_STANDARD 17 CACHE STRING "The C++ standard to use")
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wextra -fPIC -fvisibility=hidden -pthread")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread -DBOOST_ASIO_DISABLE_EPOLL")
+set(THREADS_PREFER_PTHREAD_FLAG TRUE)
+find_package(Threads)
+
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wextra -fvisibility=hidden")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
 if(ENABLE_WERROR)
@@ -19,6 +26,17 @@
 endif()
 
 include(GNUInstallDirs)
+
+if(ENABLE_QT6)
+    find_package(Qt6 REQUIRED COMPONENTS Core Qml Quick QuickTest)
+    set(QT_VERSION_MAJOR 6)
+    # FIXME disabled due to issue building tests with GMock if CMAKE_AUTOMOC is
+    # enabled
+    # qt_standard_project_setup()
+else()
+    find_package(Qt5 REQUIRED COMPONENTS Core Qml Quick QuickTest)
+    set(QT_VERSION_MAJOR 5)
+endif()
 
 set(
     BIOMETRYD_DEFAULT_PLUGIN_DIRECTORY "${CMAKE_INSTALL_FULL_LIBDIR}/biometryd/plugins"
