=== debian/changelog ===
biometryd (0.4.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Update debian/copyright*
  * Add Lintian override for use of get-orig-source
  * Add patch to fix build with boost 1.87 (Closes: #1110585)
  * Remove gcc-13 patch: no longer needed

  [ Guido Berhoerster ]
  * debian: Build packages for both Qt 5 and 6

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 25 Feb 2026 12:58:43 -0500
