=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <mariogrip@debian.org>,
-Build-Depends: cmake,
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                cmake-extras,
-               debhelper-compat (= 13),
                doxygen,
                google-mock,
                graphviz,
@@ -12,8 +12,8 @@
                libboost-filesystem-dev,
                libboost-program-options-dev,
                libboost-test-dev,
-               libdbus-cpp-dev (>= 5.0.6),
                libdbus-1-dev,
+               libdbus-cpp-dev (>= 5.0.5),
                libelf-dev,
                libgtest-dev,
                libprocess-cpp-dev (>= 3.0.3),
@@ -22,6 +22,9 @@
                nlohmann-json3-dev,
                pkgconf,
                qml-module-qttest,
+               qt6-base-dev,
+               qt6-declarative-dev,
+               qt6-declarative-dev-tools,
                qtbase5-dev,
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
@@ -86,9 +89,23 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Multi-Arch: same
-Description: biometryd mediates/multiplexes to biometric devices - QML bindings
+Description: biometryd mediates/multiplexes to biometric devices - Qt 5 QML bindings
  biometryd mediates and multiplexes access to biometric devices present
  on the system, enabling applications and system components to leverage
  them for identification and verification of users.
  .
- This package contains the qtdeclarative bindings for biometryd.
+ This package contains the Qt 5 QML bindings for biometryd.
+
+Package: qml6-module-biometryd
+Section: devel
+Architecture: any
+Depends: libbiometry1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Description: biometryd mediates/multiplexes to biometric devices - Qt 6 QML bindings
+ biometryd mediates and multiplexes access to biometric devices present
+ on the system, enabling applications and system components to leverage
+ them for identification and verification of users.
+ .
+ This package contains the Qt 6 QML bindings for biometryd.
